#pragma once

#include "utils/fvec/fvec.hpp"

namespace hr
{
  struct cvec_t
  {
    cvec_t() =default;
    cvec_t(std::size_t s, base_t v = 0.0);
    fvec_t m_norm;
    fvec_t m_phas;

    size_t size() const noexcept;
    void resize(std::size_t s, base_t v = 0.0);
  };
}

